## Name
Valve Control Project for CSE

## Description
Software for managing solenoid-style valves. The valve-control code runs on any CircuitPython-compatible system with at least 4 available GPIO pins and an optional output pin and NeoPixel for status. Tested with both SAMD and ESP32 boards with success. The client-code runs on any system that can run python3. The choice of serial port identifiers differs by OS with Windows using COM## values and Mac/Linux systems using /dev/usbS*.

## Installation
The client-code runs natively as a GUI on any python3-compatible system. It leverages the TKinter libraries to render the two-window application.
The valve-code leverages CircuitPython with drag-and-drop support to the CircuitPython drive that appears when the control board is attached to a system. This is built with the CircuitPython v9.2. It requires the addition of the following libraries from the Adafruit CircuitPython bundle (v9.2):
adafruit_pixelbuf.py - for using NeoPixel as a status indicator
neopixel.py - for using NeoPixel as a status indicator

## Support
Currently under development by Corby Schmitz (cschmitz@anl.gov)

## Roadmap
TBD

## License
TBD

## Project status
Under development